org.apache.ignite.internal.processors.cache.serialization

## Interface IgniteCacheSerializationManager<K,V>

All Superinterfaces:
  GridCacheManager<K,V>

All Known Implementing Classes:
  IgniteCacheOsSerializationManager

    public interface IgniteCacheSerializationManager<K,V>
    extends GridCacheManager<K,V>

### Method Summary

Methods
`boolean` `keepPortableInStore()`
`boolean` `portableEnabled()` TODO this method should be removed from Ignite internals as a part of work on cache objects.
`Object` `unwrapPortableIfNeeded(Object o, boolean keepPortable)`
`Collection<Object>` `unwrapPortablesIfNeeded(Collection<Object> col, boolean keepPortable)` Unwraps collection.

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheManager

`onKernalStart, onKernalStop, printMemoryStats, start, stop`

### Method Detail

#### portableEnabled

    boolean portableEnabled()

TODO this method should be removed from Ignite internals as a part of work on cache objects.

Returns:
  Portable enabled flag for cache.

#### keepPortableInStore

    boolean keepPortableInStore()

Returns:
  `True` if portable format should be preserved when passing values to cache store.

#### unwrapPortableIfNeeded

    Object unwrapPortableIfNeeded(Object o,
                                boolean keepPortable)

#### unwrapPortablesIfNeeded

    Collection<Object> unwrapPortablesIfNeeded(Collection<Object> col,
                                             boolean keepPortable)

Unwraps collection.

Parameters:
  `col` - Collection to unwrap.
  `keepPortable` - Keep portable flag.
Returns:
  Unwrapped collection.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015